# VRR-Accountability
A script to help evaluate the reliability of public transport.

`monitor.py` logs departures (and their delays) to a MySQL database.

## Requirements

* A running MySQL database
* Python 3 with the modules from `requirements.txt`
    * These are installable with `pip3 install -r requirements.txt`

## Usage

* Run `./monitor.py -s` to generate a configuration file
    * Store the output in `vrr.ini` and add your database configuration
* Run `./monitor.py` to start logging!

## Thoughts on legality

The ToS of https://abfahrtsmonitor.vrr.de state:
"Es sind sämtliche Maßnahmen zu unterlassen, die störend in die Funktion der Webseite eingreifen können. Dazu gehören auch solche, die eine übermäßige oder unzumutbare Belastung der nachgelagerten Infrastruktur zur Folge haben können."
This roughly translates as:
"You must refrain from taking any measures that may disturb the functioning of the website. This includes measures that put excessive or unreasonable load on the back-end infrastructure."